Skip to main content
GET
Connect Auth Verify

Authorizations

X-API-KEY
string
header
required

Path Parameters

authType
enum<string>
required
Available options:
tiktok,
reddit,
instagram

Query Parameters

code
string
state
string
required
redditProfileUrl
string

The URL of the Reddit profile

Example:

"https://www.reddit.com/user/example"

tiktokProfileUrl
string

The URL of the TikTok profile

Example:

"https://www.tiktok.com/@example/video/1234567890"

instagramUsernameOrUrl
string

The username or URL of the Instagram profile

Example:

"https://www.instagram.com/example/"

responseType
enum<string>

The type of response to return, this is not valid for email auth, email auth only supports the redirect flow via verification link.

Available options:
redirect,
json
Example:

"json"

Response

200

200 response for GET /api/{authType}/auth/connect. Success, conflict (account already linked), or verification error.

success
boolean
required

Whether the account was linked successfully

Example:

true

error
string

The error message if the account was not linked successfully

Example:

"MAXIMUM_ACCOUNT_LINKED"

message
string

The message of the response

Example:

"Account linked successfully"

jwtState
string

The JWT state